Page MenuHomePhabricator

Generated HTML from a centered <gallery> renders incorrectly justified in Firefox and IE, OK in Safari and Chrome
Closed, ResolvedPublic

Description

Author: rocketman1937

Description:
Greetings:

In reference to a bug originally reported against Firefox:

https://bugzilla.mozilla.org/show_bug.cgi?id=821920

A Mozilla investigator reports that this rendering flaw is also in IE, so it appears to me that the problem would best be addressed by modifying the HTML produced by the MediaWiki software.

The problem can be exhibited by viewing (with Firefox 17):

https://en.wikipedia.org/wiki/User:Leonard_G./sandbox

The work-around hack is to bracket the gallery with <center> and </center> commands.

If the generator recognized gallery's 'align="center"' command and then wrote the equivalent HTML to that generated by bracketing with <center>...</center> the problem would be solved for at least these two browsers, although I do not know what side effects may ensue.

See the above reported Firefox bug for additional information.

Thank you,

  • Leonard G.

Version: 1.21.x
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43035

Details

Reference
bz43186

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:51 AM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz43186.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 17 2012, 4:03 AM

Thanks. Wondering: How is this different from bug 43035?

rocketman1937 wrote:

This bug (43186) is specific to rendering via IE and Firefox and concerns the cenering of the gallery.

The other bug (43035) is not browser specific and concerns the failure of an attempt to un-center the caption text in a centered gallery image.

bzbarsky wrote:

The markup is using <ul align="center"> which happens to center in WebKit, but should do absolutely nothing per spec.

Ramsey-WMF closed this task as Resolved.Nov 24 2017, 4:45 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

Closing this as it was originally filed in 2012 and browser HTML rendering consistency has changed significantly since (and IE is even discontinued). The given examples seem to be much more consistent across browsers now.